summaryrefslogtreecommitdiff
path: root/ci/scripts/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/scripts/tests.sh')
-rwxr-xr-xci/scripts/tests.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/ci/scripts/tests.sh b/ci/scripts/tests.sh
new file mode 100755
index 0000000000..abf4bc865d
--- /dev/null
+++ b/ci/scripts/tests.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -euo pipefail
+
+cd /workspace/rabbitmq/deps/$project
+
+trap 'catch $?' EXIT
+
+SPAN_ID=${GITHUB_RUN_ID}-${project}
+
+catch() {
+ if [ "$1" != "0" ]; then
+ make ct-logs-archive && mv *-ct-logs-*.tar.xz /workspace/ct-logs/
+ fi
+
+ buildevents step ${GITHUB_RUN_ID} ${SPAN_ID} ${STEP_START} ${project}
+}
+
+buildevents cmd ${GITHUB_RUN_ID} ${SPAN_ID} test-build -- \
+ make test-build
+
+buildevents cmd ${GITHUB_RUN_ID} ${SPAN_ID} tests -- \
+ make tests \
+ FULL= \
+ FAIL_FAST=1 \
+ SKIP_AS_ERROR=1